<?php
/**
 * page1.php is the home page for our website
 *
 * It calls and streams our top template, templateTop.html.  
 * The main centre section of this file makes space to stream the page content.  
 * Finally, it calls and streams our bottom template, templateBottom.html for the 
 * remainder of our boilerplate code.
 * 
 * @author David Argles <d.argles@gmx.com>
 * @version 22-10-2015, 10:53h
 * @copyright 2015 Haven Consulting
 */
 
 /* The next two lines call our partials class and instantiate the class */
 require("library/webpage.class.php");
 $template = new webpage();
 
 /* Now we can stream our initial template code */
 echo $template->render("templateTop", array("title" => "Page 1"));
?>

      <!-- Our main page content follows -->
      <h3>Welcome!</h3>
      <p>Welcome to my Site!</p>
      
<?php
 /* Now we stream our final boilerplate code */
 echo $template->render("templateBottom", array());
?>
