<?php
/**
 * template-page.php is the template page for our website
 *
 * It calls and streams our top template, templateTop.html.  
 * The main centre section of this file makes space to stream the page content.  
 * Finally, it calls and streams our bottom template, templateBottom.html for the 
 * remainder of our boilerplate code.
 * 
 * @author David Argles <d.argles@gmx.com>
 * @version 22-10-2015, 10:52h
 * @copyright 2015 Haven Consulting
 */
 
 /* The next two lines call our partials class and instantiate the class 
  * Don't change these lines.
  */
 include("library/webpage.class.php");
 $template = new webpage();
 
 /* Now we stream our initial template code
  * Change "Template Page" to be whatever the name of this page is.
  */
 echo $template->render("templateTop", array("title" => "Template Page"));
?>

      <!-- Our main page content follows -->
      <!-- Change the following lines to be whatever you need for this page -->
      <h3>Welcome!</h3>
      <p>Welcome to my Site!</p>
      
<?php
 /* Now we stream our final boilerplate code 
  * Don't change anything in the following line
  */
 echo $template->render("templateBottom", array());
?>
